[PC-BSD Testing] ja-ibus-anthy missing and cannot install

Yamashiro, Jun yamajun at ofug.net
Sun Jan 26 00:22:26 PST 2014


On Sat, 25 Jan 2014 10:38:14 -0500
Kris Moore <kris at pcbsd.org> wrote:

> On 01/25/2014 03:32, Yamashiro, Jun wrote:
> > Enabled iBus in last commit(*) very thanks.  But "ja-ibus-anthy" package 
> > missed in PC-BSD RC5(and older version).  Cannot type Japanese language text.
> >
> > * https://github.com/pcbsd/pcbsd/commit/4bd5e885a3942cecb02e742b49494735f855cd87
> >
> >
> > ...and cannot install manually.
> >
> > # pkg install ja-ibus-anthy
> > Updating repository catalogue
> > pkg-static: No packages matching 'ja-ibus-anthy' available in the repositories
> > #
> >
> > regards,
> 
> I'll take a look at it on Monday, but it looks like the port is broken:
> 
> If ibus cannot start or the panel does not appear, please ensure
> that you are using up-to-date python.
> There's a bug in python 2.5, which may prevent the panel from appearing.
> -------------------------------------------------------------------
> ===>   Returning to build of ja-ibus-anthy-1.2.7_3,1
> Error: shared library "ibus-1.0.402" does not exist
> *** Error code 1
> 
> Stop.
> make: stopped in /usr/ports/japanese/ibus-anthy
> ===>  Cleaning for ja-ibus-anthy-1.2.7_3,1
> build of /usr/ports/japanese/ibus-anthy ended at Fri Jan 24 20:45:47 EST 2014


ja-anthy-ibus installed successfully after update packages.
# pc-updatemanager pkgupdate -f
# cd /usr/ports/japanese/ibus-anthy
# make install


But, XIM/IM module-related environment variables not set.  Cannot use iBus.
~/.xprofile and enable-ibus.sh just working.  Why unset?
(I couldn't find solution in now)

in PC-BSD 10.0 RC5:
% env | grep ibus
%

in PC-BSD 9.2:
% env | grep ibus
QT_IM_MODULE=ibus
XMODIFIERS=@im=ibus
%

-- 
Yamashiro, Jun			Email: yamajun at ofug.net
Okinawa FreeBSD Users Group


More information about the Testing mailing list